#!/usr/bin/env ruby
# -*- encoding: utf-8 -*-
# Copyright Freya Dorn <freya.siv.dorn@gmail.com>, 2017
# License: GNU APGLv3 (or later) <http://www.gnu.org/copyleft/gpl.html>

class Object
  def present?    	; !blank?                 	; end
  def nil_if_blank	; self.blank? ? nil : self	; end
end

# defaults
class Object    	; def blank?	; false	; end	; end
class NilClass  	; def blank?	; true 	; end	; end
class FalseClass	; def blank?	; true 	; end	; end
class TrueClass 	; def blank?	; false	; end	; end
class Numeric   	; def blank?	; false	; end	; end
class Time      	; def blank?	; false	; end	; end

class Array	; alias_method :blank?, :empty?	; end
class Hash 	; alias_method :blank?, :empty?	; end

require "fast_blank"
# class String
#   BLANK_RE = /\A[[:space:]]*\z/

#   def blank?
#     empty? || BLANK_RE.match?(self)
#   end
# end
