#!/usr/bin/env ruby
# -*- encoding: utf-8 -*-
# Copyright Freya Dorn <freya.siv.dorn@gmail.com>, 2014
# License: GNU GPL 3 <http://www.gnu.org/copyleft/gpl.html>

class Dir
  class << self
    alias_method :"_[]", :"[]"

    # make glob sort by default
    def [] *args

      self.send(:"_[]", *(args.map{|a| File.expand_path(a)})).sort
    end
  end
end
